Bug 24605 - Series link from 830 is not uri encoded
Summary: Series link from 830 is not uri encoded
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 14716
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-06 17:42 UTC by Nick Clemens
Modified: 2020-04-08 15:19 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24605: Fix unencoded series link (1.61 KB, patch)
2020-02-06 17:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24605: Fix unencoded series link (1.67 KB, patch)
2020-02-24 12:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24605: (QA follow-up) Fix unencoded series link in staff interface (1.50 KB, patch)
2020-02-25 07:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-02-06 17:42:06 UTC
Missed one on bug 14716
Comment 1 Nick Clemens 2020-02-06 17:50:45 UTC
Created attachment 98539 [details] [review]
Bug 24605: Fix unencoded series link

To test:
1 - Add an 830 to a record with a volume subfield separated by a semicolon
    830$aThe series ;$vvol 8.
2 - View the record in the opac
3 - Click the series link, no results
4 - View the link url - the semicolon is not encoded
5 - Apply patch
6 - link works
7 - URL is corrrectly encoded
Comment 2 Bernardo Gonzalez Kriegel 2020-02-23 22:50:18 UTC
Hi,
What kind of record is needed?
I edited a record to add an 830 field, does not show in the opac.
Comment 3 Katrin Fischer 2020-02-24 07:17:03 UTC
Hi Bernardo, you also need a 490 where the indicator is set to traced.
Comment 4 Martin Renvoize 2020-02-24 12:37:09 UTC
Created attachment 99509 [details] [review]
Bug 24605: Fix unencoded series link

To test:
1 - Add an 830 to a record with a volume subfield separated by a semicolon
    830$aThe series ;$vvol 8.
2 - View the record in the opac
3 - Click the series link, no results
4 - View the link url - the semicolon is not encoded
5 - Apply patch
6 - link works
7 - URL is corrrectly encoded

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Katrin Fischer 2020-02-25 07:21:59 UTC
Created attachment 99553 [details] [review]
Bug 24605: (QA follow-up) Fix unencoded series link in staff interface

Same change as the first patch, but for the staff detail page.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-02-25 07:22:33 UTC
This was only half the fix - please remember OPAC and staff use different XSLT files.
Comment 7 Bernardo Gonzalez Kriegel 2020-02-25 10:36:23 UTC
(In reply to Katrin Fischer from comment #3)
> Hi Bernardo, you also need a 490 where the indicator is set to traced.

Thanks Katrin, I don't know much about MARC, but wanted to test.

Questions: 
* Why we still hide 490 in our frameworks for new installs?
* Wouldn't it be better to make both 440 'and' 490 visible?
Comment 8 Katrin Fischer 2020-02-25 12:37:32 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #7)
> (In reply to Katrin Fischer from comment #3)
> > Hi Bernardo, you also need a 490 where the indicator is set to traced.
> 
> Thanks Katrin, I don't know much about MARC, but wanted to test.
> 
> Questions: 
> * Why we still hide 490 in our frameworks for new installs?
> * Wouldn't it be better to make both 440 'and' 490 visible?

Hi Bernardo, you are right:
440 has been succeeded by 490.
It would make sense to change the default for new installations to hide 440 and display 490 instead. Or display both (assuming some data still uses 440, although it's been obsoleted)
But better on a separate bug - I think there might even be one already somewhere.
Comment 9 Martin Renvoize 2020-02-26 20:43:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-03-31 22:25:08 UTC
backported to 19.11.x branch for 19.11.05
Comment 11 Lucas Gass 2020-04-08 15:19:20 UTC
backported to 19.05.x for 19.05.10